WordPress.org

Ready to get started?Download WordPress

Forums

Error Messages (16 posts)

  1. Bhoney
    Member
    Posted 8 years ago #

    Whenever I try and activate a plugin... any plugin, I get these error messages in the admin panel.Can anyone tell me how I may go about fixing them?

    Thanks :)
    ---------------------
    arning: Invalid argument supplied for foreach() in /home/cocoalou/public_html/blogs/wp-admin/upgrade-functions.php on line 504

    Warning: Cannot modify header information - headers already sent by (output started at /home/cocoalou/public_html/blogs/wp-admin/upgrade-functions.php:504) in /home/cocoalou/public_html/blogs/wp-admin/admin.php on line 10

    Warning: Cannot modify header information - headers already sent by (output started at /home/cocoalou/public_html/blogs/wp-admin/upgrade-functions.php:504) in /home/cocoalou/public_html/blogs/wp-admin/admin.php on line 11

    Warning: Cannot modify header information - headers already sent by (output started at /home/cocoalou/public_html/blogs/wp-admin/upgrade-functions.php:504) in /home/cocoalou/public_html/blogs/wp-admin/admin.php on line 12

    Warning: Cannot modify header information - headers already sent by (output started at /home/cocoalou/public_html/blogs/wp-admin/upgrade-functions.php:504) in /home/cocoalou/public_html/blogs/wp-admin/admin.php on line 13

  2. Mark (podz)
    Support Maven
    Posted 8 years ago #

    Where is your site ?
    How many posts do you have ?
    What version are you running ?

  3. Beel
    Member
    Posted 8 years ago #

    and please search before posting a new thread

  4. Bhoney
    Member
    Posted 8 years ago #

    I always search before I post a new thread Beel and if I had found a thread that solved my problem I wouldn't have started this one.

    Podz, my site is http://cocoalounge.org/blogs.

    I am running a 1.5 with about 60 posts.

    :)

  5. Mark (podz)
    Support Maven
    Posted 8 years ago #

    This has only just happened ? You've not used plugins before ?

  6. Bhoney
    Member
    Posted 8 years ago #

    Yes, I have used plugins before and this just strted today when I tried to create a page for the My status plugin.It didn't look quite right.I deleted the plugin and never manipulated any other files.

    I also checked for white spaces in config.php and see none.

    Thank you :)

  7. Bhoney
    Member
    Posted 8 years ago #

    I also checked upgrade-functions.php on line 504 and it looks normal too.It says:
    ---------------------
    foreach($indices as $index)
    -----------------------

  8. Mark (podz)
    Support Maven
    Posted 8 years ago #

    The error is definitely not whitespace as defined elsewhere.

    Hmm... did you deactivate the plugin before you deleted it ?
    Where is this plugin homepage ?

  9. Bhoney
    Member
    Posted 8 years ago #

    Not sure if I deactivated it before deletion.

    Here is the homapge: http://eightface.com/code/wp-mystatus/

    Thank you'

  10. Mark (podz)
    Support Maven
    Posted 8 years ago #

    Hmm....... one thing that is worth doing is an upgrade as 1.5.2 is the rec'd version to be using.

    You say above you tried to make a page - did you delete that page ?

  11. Bhoney
    Member
    Posted 8 years ago #

    Yes, I deleted the page as well.

    You know looking back I first saw this error when I attempted to install a very complex (at least for me theme) called Kiwi.When I attempted to activate Brian's Recent Comments plugin I saw the error.Didn't think much of it... deactivated it and moved on.

    I looked into those files and all seems fine though.

    Shouldn't I somehow be looking into functions.php as that is where the error is supoosedly coming from?

    Btw, all the plugins appear to work.

    Though I am not so sure about the feed plugin which is the one I attempted to activate when I got the error.

    Thanks :)

  12. Mark (podz)
    Support Maven
    Posted 8 years ago #

    If the plugins are working that's a good sign :)

    Try changing themes -doesn't matter which - and see if the error persists.
    If it does, that means it's not a theme file.
    If the error goes away, it IS a theme file.

    You could upgrade and be sure to replace all the core files (/wp-admin /wp-includes and those at blog root) and see if that helps.

    You could indeed just check functions.php but I think that file is throwing an error correctly because another file has fed it incorrect information.

    If this were my blog, I would upgrade first, check, then change themes, check and then post back :)

  13. Bhoney
    Member
    Posted 8 years ago #

    Thank you for all your time and help Podz :)

    Unfortunately, I paid to have this blog installed as I have 0 knowledge of this type of thing. And though I know a few basics, I still haven't learned how to upload files via http://ftp.I do it through cpanel one by one and so you can imagine how long that would take.

    For now, I will leave it until I can have soneone upgrade for me.

    Thank you again :)

  14. Mark (podz)
    Support Maven
    Posted 8 years ago #

    I'll upgrade it for you :)
    It's 00:22 here now (in the UK) but I'll happily upgrade you to 1.5.2 and try to track this error down for you. If you'd like me to have a go at it, drop me an email and we can take it from there.
    tamba2 at gmail dot com

  15. Bhoney
    Member
    Posted 8 years ago #

    I just e-mailed you... thanks :)

  16. Beel
    Member
    Posted 8 years ago #

    I'd deactivate all my plugins and then re-activate them one at a time until and if the error occurs again. If it does, perhaps this way you will be able to track down the extra whitespace.

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags

No tags yet.